---
lang: en
title: 'API docs: health.healthcomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/health
permalink: /doc/en/lb4/apidocs.health.healthcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/health](./health.md) &gt; [HealthComponent](./health.healthcomponent.md)

## HealthComponent class

A component providing health status

**Signature:**

```typescript
export declare class HealthComponent implements Component 
```
**Implements:** [Component](./core.component.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(application, healthConfig)](./health.healthcomponent._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `HealthComponent` class


</td></tr>
</tbody></table>


